Bug 66280 - (SOUND CMPCI)1/10 sec Sound drops on 2.4.18-[3,4] on Cmedia Asus A7M266 OB CMI8738 Soundchip with cmpci module and xmms
(SOUND CMPCI)1/10 sec Sound drops on 2.4.18-[3,4] on Cmedia Asus A7M266 OB CM...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-07 01:24 EDT by Thorsten Leemhuis
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-03 00:56:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2002-06-07 01:24:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.3 (X11; Linux i686; U;) Gecko/20020523

Description of problem:
Sometimes the sound drops on my Asus A7M266 Cmedia 8738 Soundchip used with the
cmpci modul from the  2.4.18-[3,4] Kernels. Drops maybe is a to heavy
descriptions, maybe only 1/10 sec is missing during xmms mp3 playing. It seems
especially during hdd-load it drops (HDD-DMA is on), but sometimes short drops
occur without User interaction

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start X
2. start xmms
3. do some work, sound drops will occur roughly about once every 2 Minutes

Actual Results:  Short sound drops

Expected Results:  Normal playing

Additional info:
Comment 1 Thorsten Leemhuis 2002-06-07 01:27:43 EDT
Some more info:

[thl@thl thl]$ uname -a
Linux thl.ct.heise.de 2.4.18-4 #1 Thu May 2 18:06:25 EDT 2002 i686 unknown

[thl@thl thl]$ /sbin/lsmod 
Module                  Size  Used by    Not tainted
cmpci                  32756   2 (autoclean)
soundcore               6692   4 (autoclean) [cmpci]
mga                   107472   1
agpgart                39456   3
w83781d                18592   0 (unused)
i2c-proc                8160   0 [w83781d]
i2c-isa                 1892   0 (unused)
i2c-viapro              4968   0 (unused)
i2c-core               18720   0 [w83781d i2c-proc i2c-isa i2c-viapro]
ipx                    19924   1 (autoclean)
8139too                16480   1
mii                     2408   0 [8139too]
ide-cd                 30272   0 (autoclean)
cdrom                  32224   0 (autoclean) [ide-cd]
nls_iso8859-1           3488   1 (autoclean)
nls_cp437               5120   1 (autoclean)
vfat                   12092   1 (autoclean)
fat                    37432   0 (autoclean) [vfat]
usb-uhci               24452   0 (unused)
usbcore                73216   1 [usb-uhci]
ext3                   67136   3
jbd                    49464   3 [ext3]

[thl@thl thl]$ /sbin/lspci 
00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 [IGD4-1P] System
Controller (rev 12)
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 [IGD4-1P] AGP Bridge
00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
00:04.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06)
00:04.2 USB Controller: VIA Technologies, Inc. USB (rev 16)
00:04.3 USB Controller: VIA Technologies, Inc. USB (rev 16)
00:04.4 Non-VGA unclassified device: VIA Technologies, Inc. VT82C686 [Apollo
Super ACPI] (rev 40)
00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C (rev 10)
01:05.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 03)

[thl@thl thl]$ /sbin/lspci -n
00:00.0 Class 0600: 1022:700e (rev 12)
00:01.0 Class 0604: 1022:700f
00:04.0 Class 0601: 1106:0686 (rev 40)
00:04.1 Class 0101: 1106:0571 (rev 06)
00:04.2 Class 0c03: 1106:3038 (rev 16)
00:04.3 Class 0c03: 1106:3038 (rev 16)
00:04.4 Class 0000: 1106:3057 (rev 40)
00:05.0 Class 0401: 13f6:0111 (rev 10)
00:0a.0 Class 0200: 10ec:8139 (rev 10)
01:05.0 Class 0300: 102b:0525 (rev 03)

[thl@thl thl]$ sudo /sbin/hdparm /dev/hda

/dev/hda:
 multcount    = 16 (on)
 I/O support  =  1 (32-bit)
 unmaskirq    =  1 (on)
 using_dma    =  1 (on)
 keepsettings =  0 (off)
 nowerr       =  0 (off)
 readonly     =  0 (off)
 readahead    =  8 (on)
 geometry     = 3310/255/63, sectors = 53177040, start = 0
 busstate     =  1 (on)
Comment 2 Arjan van de Ven 2002-06-10 05:06:55 EDT
Are you using KDE ?
Is this only happening while playing mp3's from cdrom ?
Comment 3 Thorsten Leemhuis 2002-06-10 05:17:57 EDT
>Are you using KDE ?
No, I'm using Standard RedHat Gnome Desktop

>Is this only happening while playing mp3's from cdrom ?
It was happening with files from a FAT32-Partition of by harddisk.

FYI: I made further tests: I tried a stock 2.4.18 Kernel, recompiled with
RedHats Athlon-single config, same problem here with the cmpci Driver

Then I compiled Alsa 0.9.0rc1 (drivers, lib, oss, utils) agains both kernels and
with the snd-cmipci driver and OSS-Emulation everything works fine on the stock
2.4.18 or a recompiled 2.4.18-3 RedHat Kernel.
Comment 4 Thorsten Leemhuis 2002-06-12 01:35:28 EDT
I had some other stability issues (random lockup once each day, probably mostly
on heavy disk I/O, with both 2.4.18 stock and RH2.4.18-[3,4]) on this (and
another AMD-760) Board, so I changed the board again, this time to an A7V266
(Via KT266). It has also an cmi8738 and here the sound works correct with the
cmpci Driver from RH 2.4.18-4

Are you interested in further tests with the sound and/or the stability issues?
Comment 5 Thorsten Leemhuis 2003-12-03 00:56:13 EST
Close old bug -- hardware not available any more

Note You need to log in before you can comment on or make changes to this bug.